My Project: dgTemplateVector< T > Class Template Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgTemplateVector< T > Class Template Reference

`#include <dgVector.h>`

## Public Member Functions

DG_INLINE | dgTemplateVector ()
DG_INLINE | dgTemplateVector (const T *const ptr)
DG_INLINE | dgTemplateVector (const dgTemplateVector< T > &copy)
DG_INLINE | dgTemplateVector (T x, T y, T z, T w)
DG_INLINE T & | operator[] (dgInt32 i)
DG_INLINE const T & | operator[] (dgInt32 i) const
DG_INLINE dgTemplateVector< T > | Scale3 (T scale) const
DG_INLINE dgTemplateVector< T > | Scale4 (T scale) const
DG_INLINE dgTemplateVector< T > | operator+ (const dgTemplateVector< T > &B) const
DG_INLINE dgTemplateVector< T > & | operator+= (const dgTemplateVector< T > &A)
DG_INLINE dgTemplateVector< T > | operator- (const dgTemplateVector< T > &A) const
DG_INLINE dgTemplateVector< T > & | operator-= (const dgTemplateVector< T > &A)
DG_INLINE T | operator% (const dgTemplateVector< T > &A) const
DG_INLINE dgTemplateVector< T > | operator* (const dgTemplateVector< T > &B) const
DG_INLINE dgTemplateVector< T > | AddHorizontal () const
DG_INLINE dgTemplateVector< T > | DotProduct4 (const dgTemplateVector &A) const
DG_INLINE dgTemplateVector< T > | CrossProduct4 (const dgTemplateVector &A, const dgTemplateVector &B) const
DG_INLINE dgTemplateVector< T > | CompProduct3 (const dgTemplateVector< T > &A) const
DG_INLINE dgTemplateVector< T > | CompProduct4 (const dgTemplateVector< T > &A) const

## Public Attributes

T | m_x
T | m_y
T | m_z
T | m_w

## Constructor & Destructor Documentation

## § dgTemplateVector() [1/4]

template<class T>

DG_INLINE dgTemplateVector< T >::dgTemplateVector | ( |  | ) |

inline

## § dgTemplateVector() [2/4]

template<class T>

DG_INLINE dgTemplateVector< T >::dgTemplateVector | ( | const T *const | ptr | ) |

inline

## § dgTemplateVector() [3/4]

template<class T>

DG_INLINE dgTemplateVector< T >::dgTemplateVector | ( | const dgTemplateVector< T > & | copy | ) |

inline

## § dgTemplateVector() [4/4]

template<class T>

DG_INLINE dgTemplateVector< T >::dgTemplateVector | ( | T | x,
|  | T | y,
|  | T | z,
|  | T | w
| ) |  |

inline

## Member Function Documentation

## § AddHorizontal()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::AddHorizontal | ( |  | ) | const

inline

## § CompProduct3()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::CompProduct3 | ( | const dgTemplateVector< T > & | A | ) | const

inline

## § CompProduct4()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::CompProduct4 | ( | const dgTemplateVector< T > & | A | ) | const

inline

## § CrossProduct4()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::CrossProduct4 | ( | const dgTemplateVector< T > & | A,
|  | const dgTemplateVector< T > & | B
| ) |  | const

inline

## § DotProduct4()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::DotProduct4 | ( | const dgTemplateVector< T > & | A | ) | const

inline

## § operator%()

template<class T>

DG_INLINE T dgTemplateVector< T >::operator% | ( | const dgTemplateVector< T > & | A | ) | const

inline

## § operator*()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::operator* | ( | const dgTemplateVector< T > & | B | ) | const

inline

## § operator+()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::operator+ | ( | const dgTemplateVector< T > & | B | ) | const

inline

## § operator+=()

template<class T>

DG_INLINE dgTemplateVector<T>& dgTemplateVector< T >::operator+= | ( | const dgTemplateVector< T > & | A | ) |

inline

## § operator-()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::operator- | ( | const dgTemplateVector< T > & | A | ) | const

inline

## § operator-=()

template<class T>

DG_INLINE dgTemplateVector<T>& dgTemplateVector< T >::operator-= | ( | const dgTemplateVector< T > & | A | ) |

inline

## § operator[]() [1/2]

template<class T>

DG_INLINE T& dgTemplateVector< T >::operator[] | ( | dgInt32 | i | ) |

inline

## § operator[]() [2/2]

template<class T>

DG_INLINE const T& dgTemplateVector< T >::operator[] | ( | dgInt32 | i | ) | const

inline

## § Scale3()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::Scale3 | ( | T | scale | ) | const

inline

## § Scale4()

template<class T>

DG_INLINE dgTemplateVector<T> dgTemplateVector< T >::Scale4 | ( | T | scale | ) | const

inline

## Member Data Documentation

## § m_w

template<class T>

T dgTemplateVector< T >::m_w

## § m_x

template<class T>

T dgTemplateVector< T >::m_x

## § m_y

template<class T>

T dgTemplateVector< T >::m_y

## § m_z

template<class T>

T dgTemplateVector< T >::m_z

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgVector.h